All Classes Namespaces Functions Variables Groups Pages
WebSocketClient Namespace Reference

the WebSocketClient namespace contains all the definitions in the WebSocketClient module More...

## Classes

class | WebSocketClient
| the main websocket client class More...
class | WebSocketConnectionObject
| class for websocket connections; returns an object of class WebSocketClient for receiving websocket events from a websocket server More...

## Variables

const | WsDefaultPort = 80
| default port for connections
const | WsSchemes
| known websocket schemes

## Detailed Description

the WebSocketClient namespace contains all the definitions in the WebSocketClient module